Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.model.spatialschema
Interface MultiSurface

All Superinterfaces:
  Aggregate, Geometry, MultiPrimitive, Serializable

All Known Implementing Classes:
  MultiSurfaceImpl

    public interface MultiSurface

extends MultiPrimitive

This Interface defines the Aggregation of Surfaces. The implementing class should encapsulate a java.util.Vector or a comparative data structure.

-----------------------------------------------------

Version:
  $Revision: 18195 $ $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $

Author:
  Andreas Poth

Field Summary

Fields inherited from interface org.deegree.model.spatialschema.Geometry
`BUFFER_CAP_BUTT, BUFFER_CAP_ROUND, BUFFER_CAP_SQUARE`

Method Summary
`void` | `addSurface(Surface surface)` adds an Surface to the aggregation
`Surface[]` | `getAllSurfaces()` returns all Surfaces as an array
`double` | `getArea()` returns the area of a MultiSurface
`Surface` | `getSurfaceAt(int index)` returns the Surface at the submitted index.
`void` | `insertSurfaceAt(Surface surface, int index)` inserts a Surface in the aggregation. all elements with an index equal or larger index will be moved. if index is larger then getSize() - 1 or smaller then 0 or surface equals null an exception will be thrown.
`Surface` | `removeSurface(Surface surface)` removes the submitted Surface from the aggregation
`Surface` | `removeSurfaceAt(int index)` removes the Surface at the submitted index from the aggregation. if index is larger then getSize() - 1 or smaller then 0 an exception will be thrown.
`void` | `setSurfaceAt(Surface surface, int index)` sets the submitted Surface at the submitted index. the element at the position `index` will be removed. if index is larger then getSize() - 1 or smaller then 0 or surface equals null an exception will be thrown.

Methods inherited from interface org.deegree.model.spatialschema.MultiPrimitive
`getAllPrimitives, getPrimitiveAt`

Methods inherited from interface org.deegree.model.spatialschema.Aggregate
`add, getAll, getIterator, getObjectAt, getSize, insertObjectAt, isMember, merge, removeAll, removeObject, removeObjectAt, setObjectAt`

Methods inherited from interface org.deegree.model.spatialschema.Geometry
`contains, contains, difference, distance, getBoundary, getBuffer, getBuffer, getCentroid, getConvexHull, getCoordinateDimension, getCoordinateSystem, getDimension, getEnvelope, getTolerance, intersection, intersects, isEmpty, isWithinDistance, setTolerance, translate, union`

Method Detail

### addSurface

    void addSurface(Surface surface)

  adds an Surface to the aggregation

  Parameters:
    `surface` -

### insertSurfaceAt

    void insertSurfaceAt(Surface surface,
                         int index)
                         throws GeometryException

  inserts a Surface in the aggregation. all elements with an index equal or larger index will be moved. if index is larger then getSize() - 1 or smaller then 0 or surface equals null an exception will be thrown.

  Parameters:
    `surface` - Surface to insert.
    `index` - position where to insert the new Surface
  Throws:
    `GeometryException`

### setSurfaceAt

    void setSurfaceAt(Surface surface,
                      int index)
                      throws GeometryException

  sets the submitted Surface at the submitted index. the element at the position `index` will be removed. if index is larger then getSize() - 1 or smaller then 0 or surface equals null an exception will be thrown.

  Parameters:
    `surface` - Surface to set.
    `index` - position where to set the new Surface
  Throws:
    `GeometryException`

### removeSurface

    Surface removeSurface(Surface surface)

  removes the submitted Surface from the aggregation

  Parameters:
    `surface` -
  Returns:
    the removed Surface

### removeSurfaceAt

    Surface removeSurfaceAt(int index)
                            throws GeometryException

  removes the Surface at the submitted index from the aggregation. if index is larger then getSize() - 1 or smaller then 0 an exception will be thrown.

  Parameters:
    `index` -
  Returns:
    the removed Surface
  Throws:
    `GeometryException`

### getSurfaceAt

    Surface getSurfaceAt(int index)

  returns the Surface at the submitted index.

  Parameters:
    `index` -
  Returns:
    the Surface at the submitted index.

### getAllSurfaces

    Surface[] getAllSurfaces()

  returns all Surfaces as an array

  Returns:
    all Surfaces as an array

### getArea

    double getArea()

  returns the area of a MultiSurface

  Returns:
    the area of a MultiSurface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org